Bug 801860 - BusinessRulesProcessor needs configuration option to enable MBeans for JON to Monitor BRMS
BusinessRulesProcessor needs configuration option to enable MBeans for JON to...
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Configuration, Tooling, JBossESB, JBoss Rules, JON (Show other bugs)
5.2.0 GA
All All
unspecified Severity medium
: ---
: ---
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 11:45 EST by Michael Pellegrini
Modified: 2014-10-08 13:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pellegrini 2012-03-09 11:45:58 EST
Description of problem:
Since BRMS now includes the ability to be monitored, there should be an option in the BusinessRuleProcessor action to be able to enable/disable the MBean option in BRMS.

From a BRMS perspective, you enable the MBean option via a KnowledgeBaseConfiguration.

KnowledgeBaseConfiguration conf =
         KnowledgeBaseFactory.newKnowledgeBaseConfiguration();
conf.setOption( MBeansOption.ENABLED );


Additional info:

As a workaround, one can enable the option as VM argument during startup by specifying "-Ddrools.mbeans = enabled"
Comment 2 Rick Wagner 2012-05-22 11:43:55 EDT
No customer interest in this case, so GSS won't solicit inclusion.
Comment 4 Tim Lauridsen 2014-10-04 02:33:50 EDT
*** Bug 1071568 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.